using BackendlessAPI;
using System.Collections.Generic;
using UnityEngine;

public class BackendTest : MonoBehaviour
{
	protected async void Start()
	{
		IList<Springloop.BackendlessData.Games> loadedGames = await Backendless.Data.Of<Springloop.BackendlessData.Games>().FindAsync();

		Debug.Log($"Loaded {loadedGames.Count} games");

		Login("test@test.nl", "test");
	}

	public async void Login(string username, string password)
	{
		BackendlessUser user = await Backendless.UserService.LoginAsync(username, password, true);

		Debug.Log("Logged in " + user.ObjectId);
	}
}
